clear all
close all

% Build mesh from .geo file 
meshfile=gmsh.buildmesh2d('square4',3,'force',true);                    

Th=siMesh(meshfile);
figure(1);
[h1,leg1]=Th.plot()
hold on
Th.plotVertices('markersize',12)
Th.plotElementsNumber()
legend(h1,leg1)
set(legend(),'Location','NorthEastOutside')
[axplot,axlegend]=fc_tools.graphics.FigurePanels(2);
axes(axplot);axis off;axis image
Th.plot('color',[0.85,0.85,0.85])
[h2,leg2]=Th.plot('d',1,'Linewidth',2);
[h3,leg3]=Th.plotElementsNumber('d',1);
[h4,leg4]=Th.plotVerticesNumber('d',1,'Global',true);
axes(axlegend)
fc_tools.graphics.LegendPanel(axlegend,[h2;h3;h4],{leg2{:},leg3{:},leg4{:}},3)
