clear all
close all

% Build mesh from .geo file 
meshfile=gmsh.buildmesh3ds('demisphere4surf',5,'force',true,'check',true);

Th=siMesh(meshfile);
figure(1);
[ha1,lega1]=Th.plot('FaceAlpha',0.5);
hold on
[ha2,lega2]=Th.plot('d',1,'Linewidth',2);
legend([ha1;ha2],{lega1{:},lega2{:}},'Location','NorthEastOutside')
axis off;axis image

[axplot,axlegend]=fc_tools.graphics.FigurePanels(2);
axes(axplot);axis off;axis image;hold on
[hb1,legb1]=Th.plot('FaceAlpha',0.5);
[hb2,legb2]=Th.plot('d',1,'Linewidth',2);
axes(axlegend)
fc_tools.graphics.LegendPanel(axlegend,[hb1;hb2],{legb1{:},legb2{:}},3)
